function l_Add_User {
local panel=`cldetect --detect-cp-nameonly`
if [ "$panel" = "Plesk" ]; then
    local home_dir="/var/www/vhosts/$1"
elif [[ "$panel" = "cPanel" && -e /scripts ]]; then
    CPMOD=$(ls /var/cpanel/template_compiles/usr/local/cpanel/base/frontend/ | head -1)
    PASSWD="9001Ewrt54H"
    DOMAIN="$1.com"
    PKGRESTORE=1 /scripts/wwwacct ${DOMAIN} $1 ${PASSWD} 1000 $CPMOD n n n 10 10 10 10 10 10 n root > /dev/null
else
    local home_dir="/home/$1"
fi

useradd -m --home-dir=$home_dir $1
}

# Remove user and user dirs.
function l_Delete_User {
    local panel=$(cldetect --detect-cp-nameonly)
    local plesk_cmd="/usr/sbin/plesk"
    local da_util="$(dirname ${BASH_SOURCE[0]})/directadmin/da_util"
    local removeacct_cmd="/scripts/removeacct"
    local username=$(echo $1 | tr '[:upper:]' '[:lower:]')

    # if cagefs was installed
    if which cagefsctl &> /dev/null; then
        cagefsctl --disable ${username} > /dev/null
        cagefsctl --unmount ${username} > /dev/null
    fi
    if [[ "$panel" = "Plesk" ]]; then
        # CAG-870: On Plesk we remove user via robot lib with waiting plesk hooks
        PYTHON_SCRIPT_BODY='
from python_lib.robot_panel_users_lib import remove_panel_user
remove_panel_user("'${username}'")
'
        /opt/cloudlinux/venv/bin/python3 -c "${PYTHON_SCRIPT_BODY}"
    elif [[ "${panel}" = "cPanel" && -e /scripts ]]; then
        ${removeacct_cmd} ${username} --force
        rm -rf /home/${username} /var/spool/mail/${username}
    elif [[ "$panel" = "DirectAdmin" ]]; then
        $da_util delete_user 'admin' \
        "$(grep adminpass < /usr/local/directadmin/scripts/setup.txt | cut -d = -f 2)" \
        "${username}"
    elif [[ "$panel" = "Unknown" ]]; then
        userdel -rf ${username}
    fi
}

export -f l_Delete_User
export -f l_Add_User
