#!/usr/bin/env bats
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#
 __FILE__="${BASH_SOURCE[0]}"
TESTS_DIR=$( cd "$( dirname "${__FILE__}" )" && pwd )

function is_ubuntu() {
    grep --quiet "ubuntu" "/etc/os-release"
    return $?
}

# CloudlinuxOS version, Ubuntu is considered as CL8
if is_ubuntu; then
  CL_N=8
else
  CL_N=`cat /etc/redhat-release | grep [0-9].[0-9] -o | awk '{split($0,numbers,"."); print numbers[1]}'`
fi

load $TESTS_DIR/support/assertions.bash
load $TESTS_DIR/support/utils.bash


# Here we can put global setup / teardown methods.
# E.g.:
#    setup() {
#       run do_something
#    }
#
#    teardown() {
#       run do_something
#    }