#!/bin/bash
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# NOTE: THIS FILE IS BEING IGNORED BY BUILD SYSTEM
#
# This directory contains tests created with bats:
# https://github.com/sstephenson/bats
#
# To simplify writing new tests, helpers/support/assertions.bash was created.
# Some examples how to use it:
#  flunk:
#    @test "Some test name" {
#        flunk "Write this text and fail test"
#    }
#
#  assert_success:
#    @test "Run command and check if exitstatus == 0. Otherwise, print stacktrace." {
#        run some_command with_params
#        assert_success
#    }
#
#  assert_failure:
#    @test "Run command and check if exitstatus != 0" {
#        run some_command with_params
#        assert_failure
#        ...
#        run some_command with_params
#        assert_failure "this text should be in output"
#    }
#
#  assert_equal:
#    @test "Values equal" {
#        assert_equal 0 0
#    }
#
#  assert_different:
#    @test "Values different" {
#        assert_different 1 3
#    }
#
#  assert_match:
#    @test "Match string in command output" {
#        run some_command
#        assert_success
#        assert_match "output contains this string"
#    }
#
#  assert_output:
#    @test "Output is equal to given" {
#        run some_command
#        assert_output "this is the output"
#    }
#
#  assert_running:
#    @test "Some test name" {
#        run command_that_start_some_process
#        assert_running process_pid
#    }
#
#  assert_not_running:
#    @test "Some test name" {
#        run command_that_stop_some_process
#        assert_running process_pid
#    }
#

check=0

for file in `find . -name "test_*.bats"`; do
    echo -e "\nRunning \"$(basename ${file})\""
    $file --tap
    ((check+=$?))
done

exit $check
