#!/usr/bin/env bats
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#
load helpers/test_helper;


USER=userstattest

setup(){
    if [ "$BATS_TEST_NUMBER" -eq 1 ]; then
        l_Add_User ${USER}
    fi
}

teardown(){
    if [ "$BATS_TEST_NUMBER" -eq ${#BATS_TEST_NAMES[@]} ]; then
        l_Delete_User ${USER}
    fi
}

@test "run 'cloudlinux-statistics --json' with error " {
  LVESTATSSENTRYDONTSEND=1 sudo -u ${USER} cloudlinux-statistics --json | /opt/cloudlinux/venv/bin/python3 -c "import sys, json; json.load(sys.stdin)"
}

@test "run cloudlinux-statistics --help" {
  run sudo -u ${USER} cloudlinux-statistics --help
  assert_success;
}

@test "run cloudlinux-statistics --json" {
  run sudo -u ${USER} cloudlinux-statistics --json
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show all" {
  run sudo -u ${USER} cloudlinux-statistics --json --show all
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show cpu" {
  run sudo -u ${USER} cloudlinux-statistics --json --show cpu
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show io" {
  run sudo -u ${USER} cloudlinux-statistics --json --show io
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show iops" {
  run sudo -u ${USER} cloudlinux-statistics --json --show iops
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show ep" {
  run sudo -u ${USER} cloudlinux-statistics --json --show ep
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show nproc" {
  run sudo -u ${USER} cloudlinux-statistics --json --show nproc
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show pmem" {
  run sudo -u ${USER} cloudlinux-statistics --json --show pmem
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show vmem" {
  run sudo -u ${USER} cloudlinux-statistics --json --show vmem
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show mysql" {
  run sudo -u ${USER} cloudlinux-statistics --json --show mysql
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show cpu mysql" {
  run sudo -u ${USER} cloudlinux-statistics --json --show cpu mysql
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show cpu,mysql" {
  run sudo -u ${USER} cloudlinux-statistics --json --show cpu,mysql
  assert_json_result_ok;
}

@test "run cloudlinux-statistics --json --show=cpu,mysql" {
  run sudo -u ${USER} cloudlinux-statistics --json --show=cpu,mysql
  assert_json_result_ok;
}
