#!/usr/bin/env bats
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#
load helpers/test_helper;


USER=users_top_tests

setup(){
    if [ "$BATS_TEST_NUMBER" -eq 1 ]; then
        l_Add_User ${USER}
    fi
}

teardown(){
    if [ "$BATS_TEST_NUMBER" -eq ${#BATS_TEST_NAMES[@]} ]; then
        l_Delete_User ${USER}
    fi
}

@test "run cloudlinux-top --help" {
  run sudo -u ${USER} cloudlinux-top --help
  assert_success;
}

@test "run cloudlinux-top --json" {
  run sudo -u ${USER} cloudlinux-top --json
  assert_json_result_ok;
}

@test "run cloudlinux-top --json --for-reseller" {
  run sudo -u ${USER} cloudlinux-top --json --for-reseller ${USER}
  assert_json_result_ok;
}

@test "run cloudlinux-top --json --for-reseller wrong_user" {
  run sudo -u ${USER} cloudlinux-top --json --for-reseller wrong_user
  assert_json_result "Permission denied. Reseller can view information only about himself. Option --for-reseller=wrong_user is forbidden."
}